import java.io.*;
import Prog1Tools.*;

public class Mittelwert {

  /** Wandelt einen String in einen Integer-Wert um */
  public static int parse(String s) {
    return Integer.parseInt(s);
  }

  public static void main(String[] args) {
    // Lies den Dateinamen ein:
    String dateiname=IOTools.readString("Dateiname: ");
    // Oeffne die Datei zum Lesen:
    BufferedReader datei=
       new BufferedReader(new FileReader(dateiname));
    // In der ersten Zeile steht die Anzahl der zu lesenden Zahlen
    int anzahl=parse(datei.readLine());
    // Diese Zahlen muessen nun aufsummiert werden
    int summe = 0;
    for (int i = 0;i<anzahl;i++)
      summe = summe + parse(datei.readLine());
    // Nun berechnen wir den Mittelwert im Double-Format
    double mw = (double)summe/anzahl;
    // Und geben das Ergebnis aus
    System.out.println("Mittelwert: "+mw);
  }
}
