import Prog1Tools.IOTools;

public class MonatsKalender {
  
  public static void main(String[] args) {
    // Fuer jede Stunde eine Variable
    String[][] termine;
    termine=new String[31][];
    // Initialisiere die einzelnen Tage
    for (int i=0;i<termine.length;i++) {
      termine[i]=new String[24];
      for (int j=0;j<termine[i].length;j++)
        termine[i][j]="";
    }
    // Das Hauptprogramm in einer Schleife
    boolean fertig=false;
    while (!fertig) {
      // Zuerst ein Bildschirmmenue
      System.out.println("1 = Neuer Eintrag");
      System.out.println("2 = Termine ausgeben");
      System.out.println("3 = Programm beenden");
      int auswahl=IOTools.readInteger("Ihre Wahl:");
      // Nun eine Fallunterscheidung
      switch(auswahl) {
        case  1: // Termine eingeben
          int tag=IOTools.readInteger("Welcher Tag?");
          if (tag<1 || tag>31) {
            System.out.println("Eingabefehler!");
            break;
          }
          int nummer=IOTools.readInteger("Wie viel Uhr?");
          if (nummer<0 || nummer>23){
            System.out.println("Eingabefehler!");
            break;
          }
          String eingabe=IOTools.readLine("Termin:");
          // Termin einordnen
          termine[tag-1][nummer]=eingabe;
          break;
        case  2: // Termine ausgeben
          int t=IOTools.readInteger("Welcher Tag?");
          if (t<1 || t>31) {
            System.out.println("Eingabefehler!");
            break;
          }
          for (int i=0;i<termine[t-1].length;i++)
            System.out.println(i+" Uhr: "+termine[t-1][i]);
          break;
        case  3: // Programm beenden
          fertig=true;
          break;
        default: // Falsche Zahl eingegeben
          System.out.println("Eingabefehler!");
      }
    }
  }
}
